Problème d'installation version 3.1.11

Besoin d'aide pour le script ? L'installation ? C'est par ici !
Règles du forum
Indiquez toujours votre nom de domaine lorsque vous faites une demande d'aide.
L'aide est réservée à ceux qui possèdent une licence à jour
paysretz
Messages : 5
Inscription : 28 mars 2022, 15:26
votre ptp creadunet : creaptc000

Problème d'installation version 3.1.11

Message par paysretz »

Bonjour, j'ai acheté il y a quelques jours le script version 3.1.11 (https://gooptc.fr) et j'ai un problème d'installation ! Tout se passe correctement pour installer, mais à la fin, j'ai ce message d'erreur. Que dois-je faire ?
creadunet
Administrateur du site
Messages : 2267
Inscription : 29 avr. 2009, 08:37

Re: Problème d'installation version 3.1.11

Message par creadunet »

Bonjour

Quel message d'erreur ?
paysretz
Messages : 5
Inscription : 28 mars 2022, 15:26
votre ptp creadunet : creaptc000

Re: Problème d'installation version 3.1.11

Message par paysretz »

Ce message :

Fatal error: Uncaught PDOException: SQLSTATE[42S02]: Base table or view not found: 1146 Table 'gooptcfr_ab._configuration' doesn't exist in /var/www/vhosts/gooptc.fr/httpdocs/includes/database.class.php:2 Stack trace: #0 /var/www/vhosts/gooptc.fr/httpdocs/includes/database.class.php(2): PDOStatement->execute() #1 /var/www/vhosts/gooptc.fr/httpdocs/includes/database.class.php(2): Database->execute() #2 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(4): Database->resultset() #3 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1): refait_fichier() #4 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1): eval() #5 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1): eval() #6 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1): eval() #7 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1): eval() #8 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1): eval() #9 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1) : eval()'d code(1): eval() #10 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2) : eval()'d code(1): eval() #11 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8) : eval()'d code(2): eval() #12 /var/www/vhosts/gooptc.fr/httpdocs/includes/funcs.php(8): eval() #13 /var/www/vhosts/gooptc.fr/httpdocs/includes/squeletteCreadunet.php(37): require_once('...') #14 /var/www/vhosts/gooptc.fr/httpdocs/index.php(3): require_once('...') #15 {main} thrown in /var/www/vhosts/gooptc.fr/httpdocs/includes/database.class.php on line 2
creadunet
Administrateur du site
Messages : 2267
Inscription : 29 avr. 2009, 08:37

Re: Problème d'installation version 3.1.11

Message par creadunet »

A priori, l'installation a échoué.
Avez-vous recommencé pour voir ?
paysretz
Messages : 5
Inscription : 28 mars 2022, 15:26
votre ptp creadunet : creaptc000

Re: Problème d'installation version 3.1.11

Message par paysretz »

Oui 3 fois et l'installation se passe bien, car toutes les recommandations sont au vert ! Je suis chez pulseheberg.com
creadunet
Administrateur du site
Messages : 2267
Inscription : 29 avr. 2009, 08:37

Re: Problème d'installation version 3.1.11

Message par creadunet »

Pouvez-vous activer les erreurs PHP sur votre hébergement ?

Car d'après le message d'erreur, ce n'est pas installé correctement.
Il faudrait les messages d'erreur pour avancer.

Quelle est votre version PHP utilisée ?
Si PHP 8, pas sûr que ça fonctionne, je n'ai pas encore testé l'installation.
Par contre, en installant avec php 7.4, ça doit passer, après il y a juste une petite modif à faire, vu dans un autre post du forum.
paysretz
Messages : 5
Inscription : 28 mars 2022, 15:26
votre ptp creadunet : creaptc000

Re: Problème d'installation version 3.1.11

Message par paysretz »

Bonjour, c'est mieux ! (j'étais en PHP 8.1). Par contre, maintenant j'ai cet erreur-ci :

Le domaine détecté |gooptc.frhttps://| ne correspond pas avec la licence
Si vous n'êtes pas en possession d'une licence valide, connectez-vous au site http://www.creadunet.com/script.php pour vous mettre en règle.
Il est interdit d'utiliser le script PTP creadunet sans l'avoir acheté. C'est malhonnête et illégal.
Si vous pensez qu'il s'agit d'une erreur, actualisez la page. Si le problème persiste, contactez le vendeur.

Et j'ai bien actualisé la page !
creadunet
Administrateur du site
Messages : 2267
Inscription : 29 avr. 2009, 08:37

Re: Problème d'installation version 3.1.11

Message par creadunet »

Bon, il va falloir faire une mise à jour du script pour PHP 8 de mon côté, je m'y attèle dès que j'ai un peu de temps.

Pouvez-vous vérifier votre fichier de configuration, car je pense que vous n'avez pas entré le bon domaine.
dans /includes/datasCreadunet.php

Je pense que dans domaine, il y a un truc du genre https://gooptc.fr
Il faut mettre : gooptc.fr sans rien d'autre
Actualisez 2-3 fois la page, et ça devrait marcher.

Si ça ne résout pas le problème, envoyez-moi en MP, les infos de connexion FTP, j'irai voir ce qui cloche dans le fichier de configuration.
Mais je suis presque sûr que c'est le problème.

Si le message d'erreur change, c'est qu'on approche de la solution, du coup, postez le nouveau message.
paysretz
Messages : 5
Inscription : 28 mars 2022, 15:26
votre ptp creadunet : creaptc000

Re: Problème d'installation version 3.1.11

Message par paysretz »

Message envoyé en MP !
Répondre